### php.java.bridge

# Class MethodCache.Entry

- `java.lang.Object`

- `php.java.bridge.MethodCache.Entry`

Enclosing Class:
  MethodCache

`public static class MethodCache.Entry`
`extends java.lang.Object`

A cache entry carrying the method name, class and the parameters

Author:
  jostb

## Method Summary

`boolean`

`equals(java.lang.Object o)`

`int`

`hashCode()`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### equals

    public boolean equals(java.lang.Object o)

> Overrides:
>   equals in interface java.lang.Object

### hashCode

    public int hashCode()

> Overrides:
>   hashCode in interface java.lang.Object